Last Comment Bug 707328 - backgroundUpdateCheck isn't firing its complete notification correctly
: backgroundUpdateCheck isn't firing its complete notification correctly
Status: RESOLVED FIXED
[qa-]
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Dave Townsend [:mossop]
:
: Andy McKay [:andym]
Mentors:
Depends on:
Blocks: 527141 693906
  Show dependency treegraph
 
Reported: 2011-12-02 14:45 PST by Dave Townsend [:mossop]
Modified: 2011-12-28 22:48 PST (History)
4 users (show)
blair: in‑testsuite+
blair: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch rev 1 (7.81 KB, patch)
2011-12-02 14:47 PST, Dave Townsend [:mossop]
blair: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Dave Townsend [:mossop] 2011-12-02 14:45:35 PST
Found a couple of bugs introduced in bug 527141 and bug 693906, one causes the notification to fire too early another causes it to not fire at all when there are no XPI add-ons present.
Comment 1 Dave Townsend [:mossop] 2011-12-02 14:47:26 PST
Created attachment 578729 [details] [diff] [review]
patch rev 1

Patch and automated test
Comment 2 Blair McBride [:Unfocused] (UNAVAILABLE) 2011-12-02 15:19:57 PST
Comment on attachment 578729 [details] [diff] [review]
patch rev 1

Review of attachment 578729 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks for catching that.
Comment 4 Marco Bonardo [::mak] 2011-12-03 03:19:46 PST
https://hg.mozilla.org/mozilla-central/rev/99e27f500ad3
Comment 5 Blair McBride [:Unfocused] (UNAVAILABLE) 2011-12-03 03:49:00 PST
Comment on attachment 578729 [details] [diff] [review]
patch rev 1

This fixes an issue in the patches from bug 527141 and bug 693906, so if they go on Aurora, this needs to too.
Comment 6 Alex Keybl [:akeybl] 2011-12-08 12:23:22 PST
Comment on attachment 578729 [details] [diff] [review]
patch rev 1

[Triage Comment]
We're told that this is sufficiently low risk and should button up the feature. Approving for Aurora.
Comment 7 Blair McBride [:Unfocused] (UNAVAILABLE) 2011-12-09 19:53:37 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/b15fd1a50810
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 13:26:28 PST
Is this something QA can verify?
Comment 9 Blair McBride [:Unfocused] (UNAVAILABLE) 2011-12-28 22:48:06 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #8)
> Is this something QA can verify?

Not really, no. But it's covered well enough by an xpcshell test.

Note You need to log in before you can comment on or make changes to this bug.